View Issue Details

IDProjectCategoryView StatusLast Update
0017879MediaMonkey 5Install/Configpublic2021-05-21 20:08
ReporterLudek Assigned To 
PriorityimmediateSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version5.0 
Target Version5.0.1Fixed in Version5.0.1 
Summary0017879: Installing newer builds over 2286 regular causes crash
Description1) Install 5.0.0.2286 regular build from Tue Dec 15: https://www.mediamonkey.com/forum/viewtopic.php?p=475682#p475682
i.e. this build: https://www.mediamonkey.com/beta/MediaMonkey_5.0.0.2286.exe
2) Install 5.0.1.2405 to the same folder and run
3) Right click a track => Find more from same -> Playlist
=> Crash 14D1FC2F (Uncaught Error: "cancelTask.then is not a function)

The issue is caused by the fact that this very first regular build had all JS scripts in a single data.zip file and even the newer builds are still taking the scripts from the data.zip archive!
So the oudated actions.js script is loaded and the crash appears.
Additional Informationhttps://www.mediamonkey.com/forum/viewtopic.php?p=481597#p481597
TagsNo tags attached.
Fixed in build2406

Activities

petr

2021-05-18 06:46

developer   ~0063265

Fixed

peke

2021-05-21 20:08

developer   ~0063369

Verified 2406

THis not an issue anymore.